<nav class="navbar navbar-expand-lg navbar-dark " style="background-color: #075993;">
    <a class="navbar-brand" href="#">VisitMyAppart</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarColor02">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="Offers/All">Offers</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="HowItWorks">How does it work ?</a>
        </li>
      </ul>
      <!-- <div  *ngIf="(accountService.currentUser$ | async) as user" class="collapse navbar-collapse" id="navbarSupportedContent-5">
        <ul class="navbar-nav ml-auto nav-flex-icons">
          <li class="nav-item avatar dropdown">
            <a (click)="ClearNotificationCount()"  class="nav-link dropdown-toggle waves-effect waves-light" id="navbarDropdownMenuLink-5" data-bs-toggle="dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
              <span *ngIf="count>0" class="badge badge-danger ml-2">{{count}}</span>
              <span *ngIf="count===0" class="badge badge-primary ml-2">{{count}}</span>
              <i class="fas fa-bell"></i>
            </a>
            <div   class="dropdown-menu dropdown-menu-lg-right dropdown-secondary" aria-labelledby="navbarDropdownMenuLink-5" id="notifs">
              <a   *ngFor="let notif of notifs.slice(0, 6);" class="dropdown-item waves-effect waves-light" href="{{notif.link}}">{{notif.titre}}
              </a>   
              <a href="/Notifications/All"> See All>>></a>
              
            </div>
          </li>
        </ul>
      </div> -->
    </div>
   <div *ngIf="(accountService.currentUser$ | async) as user">
    <nav class="mb-1 navbar navbar-expand-lg navbar-dark lighten-1">
      <button class="navbar-toggler" type="button"  data-toggle="collapse" data-target="#navbarSupportedContent-5" aria-controls="navbarSupportedContent-5" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
 
    </nav>
    <div class="btn-group">
      <button type="button" class="btn btn-success dropdown-toggle" id="dropdownMenuLink" data-toggle="dropdown"  data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Bonjour {{user.firstName}}
      </button>
      <div class="dropdown-menu"  aria-labelledby="dropdownMenuLink">
        <a *ngIf="theUser.role=='Visitor'" class="dropdown-item" href="MyBits">My Bits</a>
        <a class="dropdown-item" href="profil" >Edit Profil</a>
        <a class="dropdown-item" href="#" >Notifications</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="/home" (click)="LogOut()" >Log Out</a>
      </div>
    </div>
  </div>
  
  <div *ngIf="(accountService.currentUser$ | async) === null">
    <button class="btn btn-outline-light my-2 my-sm-0" (click)="LogIn()" type="submit">Log In</button>&nbsp;&nbsp;
    <button class="btn btn-outline-light my-2 my-sm-0" (click)="SignUp()" type="submit">Sign up</button>
  </div>

  </nav>